package com.dzeio.openhealth.connectors

import android.app.Activity
import android.content.Intent
import com.dzeio.openhealth.data.weight.Weight

interface ConnectorInterface {

    val sourceID: String

    /**
     * Same as Activity/Fragment onRequestPermissionResult
     *
     * But it will only be launched if grantResults[0] == PackageManager.PERMISSION_GRANTED
     */
    fun onRequestPermissionResult(requestCode: Int, permission: Array<String>, grantResult: IntArray)

    fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?)

    fun importWeight(callback: (weight: Weight, end: Boolean) -> Unit)
}